Skip to main content
Get the external market Skill Profiles of a Job.
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/market_skill_profiles \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/market_skill_profiles"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/market_skill_profiles', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "external_id": "09de5e58-5161-4ad1-a256-6d01a025914b", "peer_groups": [ { "peer_group": "Athletic Sportswear Manufacturing", "skills": [ { "skill": "Product Design", "skill_id": "6d41b6d7-1c09-4f8a-a9c0-361b4c7a92f5" }, { "skill": "Materials Science", "skill_id": "9eb6aebf-936d-4814-9c6f-8754becc2f53" }, { "skill": "Supply Chain Operations", "skill_id": "7cfe0001-5a22-49dc-9148-077b546de5cd" } ] }, { "peer_group": "Sport Watches Production", "skills": [ { "skill": "Embedded Systems", "skill_id": "0af7ceb8-26fe-4210-a5c4-3c1b69721403" }, { "skill": "UX Design", "skill_id": "98fc5005-abf9-41f5-b156-742654b7eacd" }, { "skill": "Algorithm Development", "skill_id": "e273a7bd-1ee2-4911-979c-33423dc1ac08" } ] } ] }

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

response_format
enum<string>
default:list

Defines the format of the returned Skill Profile.

Available options:
list,
hierarchy
Example:

"list"

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no
include
enum<string>[]

Additional attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
properties

Response

OK

A list of external market Skill Profiles for the Job, one per peer group.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

peer_groups
object[]

The peer groups for which the external market Skill Profiles are provided.